REM
REM=======================================================================
REM
REM          Licensed Materials - Property of IBM
REM
REM          5724-B96
REM
REM          Copyright IBM Corp. 2006 All Rights Reserved
REM          US Government Users Restricted Rights - Use, duplication or
REM          disclosure restricted by GSA ADP Schedule Contract with
REM          IBM Corp.
REM
REM=======================================================================
REM
REM Patch installation wrapper.  Certain itmpatch non-zero
REM exit codes are not really failures, and as such should
REM not cause the entire patch process to abort.  This wrapper
REM converts acceptable non-zero exit codes into a success
REM code.  The list of acceptable non-zero codes:
REM     11 - installed version is greater than patch version
REM
echo off
date /t
time /t
set
cd
if defined CANDLE_HOME goto install_patch
set CANDLE_HOME=%2

:install_patch
"%CANDLE_HOME%\bin\itmpatch.exe" -h "%CANDLE_HOME%" -i "%1"
set xxx_itmpatch_exit=%errorlevel%
echo %0: itmpatch exit code = %xxx_itmpatch_exit%

if %xxx_itmpatch_exit% EQU 11 goto patch_okay
echo %0: Exiting with itmpatch exit code (%xxx_itmpatch_exit%)
exit %xxx_itmpatch_exit%

:patch_okay
echo %0: The itmpatch exit code (%xxx_itmpatch_exit%) is okay.
echo %0: Forcing a success exit code (0)
exit 0
